;InnoSetupVersion=3.0.5

[Setup]
AppName=CFi ShellToys XP
AppVerName=CFi ShellToys XP v4.0
AppId=CFi ShellToys XP
AppVersion=4.0.0
AppPublisher=Cool Focus International Ltd
AppPublisherURL=http://www.shelltoysxp.com
AppSupportURL=http://www.shelltoysxp.com
AppUpdatesURL=http://www.shelltoysxp.com
DefaultDirName={pf}\CFi\ShellToys
DefaultGroupName=CFi ShellToys
OutputBaseFilename=ShellToys
Compression=zip
ChangesAssociations=yes
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\mbt.exe"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\pfl.exe"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\strf.exe"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\iBrowse.exe"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\xdl.exe"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\xrp.exe"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\assembler.exe"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\CFiShell.exe"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\CFiShell.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace regserver ignoreversion 
Source: "{app}\CFiShlRn.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace regserver ignoreversion 
Source: "{app}\CFiShlEx.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace regserver ignoreversion 
Source: "{app}\CFiShlZip.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace ignoreversion 
Source: "{app}\CFiShlArc.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace ignoreversion 
Source: "{app}\CFiShlImg.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\CFiDesk.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: regserver ignoreversion 
Source: "{app}\icnexui.exe"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\ctmp.exe"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\cliphook.exe"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace ignoreversion 
Source: "{app}\shlkeys.exe"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace ignoreversion 
Source: "{app}\shlkeys.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace ignoreversion 
Source: "{app}\ShellToys.chm"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\unzdll.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\zipdll.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\unrar.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\akrip32.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\stxp.key"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: onlyifdoesntexist 
Source: "{app}\mdec.ocx"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace regserver ignoreversion 
Source: "{app}\menc.ocx"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace regserver ignoreversion 
Source: "{app}\waenc.ocx"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace regserver noregerror ignoreversion 
Source: "{app}\wadec.ocx"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace regserver noregerror ignoreversion 
Source: "{app}\wid3.ocx"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace regserver noregerror ignoreversion 
Source: "{app}\mp3dec.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: restartreplace ignoreversion 

[Registry]
Root: HKLM; Subkey: "Software\CFi\ShellToys"; ValueName: "ShellApp"; ValueType: String; ValueData: "{app}\CFiShell.exe"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\CFi\ShellToys"; ValueName: "MaskType"; ValueType: String; ValueData: "{app}\mbt.exe"; MinVersion: 4.1,5.0; 
Root: HKLM; Subkey: "Software\CFi\ShellToys"; ValueName: "PrintFolderListing"; ValueType: String; ValueData: "{app}\pfl.exe"; MinVersion: 4.1,5.0; 
Root: HKLM; Subkey: "Software\CFi\ShellToys"; ValueName: "RecentFiles"; ValueType: String; ValueData: "{app}\strf.exe"; MinVersion: 4.1,5.0; 
Root: HKLM; Subkey: "Software\CFi\ShellToys"; ValueName: "iBrowse"; ValueType: String; ValueData: "{app}\iBrowse.exe"; MinVersion: 4.1,5.0; 
Root: HKLM; Subkey: "Software\CFi\ShellToys"; ValueName: "X-Delete"; ValueType: String; ValueData: "{app}\xdl.exe"; MinVersion: 4.1,5.0; 
Root: HKLM; Subkey: "Software\CFi\ShellToys"; ValueName: "X-Replace"; ValueType: String; ValueData: "{app}\xrp.exe"; MinVersion: 4.1,5.0; 
Root: HKCR; Subkey: ".ste"; ValueType: String; ValueData: "ShellToysEnc"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 
Root: HKCR; Subkey: "ShellToysEnc"; ValueType: String; ValueData: "CFi ShellToys Encrypted File"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 
Root: HKCR; Subkey: "ShellToysEnc\DefaultIcon"; ValueType: String; ValueData: "{app}\CFiShell.exe,3"; MinVersion: 4.1,5.0; 
Root: HKCR; Subkey: "ShellToysEnc\shell"; ValueType: String; ValueData: "Decrypt"; MinVersion: 4.1,5.0; 
Root: HKCR; Subkey: "ShellToysEnc\shell\Decrypt\command"; ValueType: String; ValueData: """{app}\CFiShell.exe"" /encrypt ""%1"""; MinVersion: 4.1,5.0; 
Root: HKCU; Subkey: "Software\CFi\ShellToys"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\CFi\ShellToys\Disabled"; ValueName: "MaxPopup"; ValueType: Dword; ValueData: "$64"; MinVersion: 4.1,5.0; Flags: createvalueifdoesntexist 
Root: HKCR; Subkey: "CLSID\{{3050F47B-48C1-4E66-B372-CDE96154A786}"; ValueType: String; ValueData: "ShellToys XP"; MinVersion: 4.1,5.0; Flags: uninsdeletekey noerror 
Root: HKCR; Subkey: "CLSID\{{3050F47B-48C1-4E66-B372-CDE96154A786}"; ValueName: "InfoTip"; ValueType: String; ValueData: "Change CFi ShellToys XP settings and preferences"; MinVersion: 4.1,5.0; 
Root: HKCR; Subkey: "CLSID\{{3050F47B-48C1-4E66-B372-CDE96154A786}\DefaultIcon"; ValueType: String; ValueData: "{app}\CFiShell.exe,0"; MinVersion: 4.1,5.0; 
Root: HKCR; Subkey: "CLSID\{{3050F47B-48C1-4E66-B372-CDE96154A786}\Shell\open\command"; ValueType: String; ValueData: "{app}\CFiShell.exe"; MinVersion: 4.1,5.0; 
Root: HKCR; Subkey: "CLSID\{{3050F47B-48C1-4E66-B372-CDE96154A786}\ShellFolder"; ValueName: "Attributes"; ValueType: Dword; ValueData: "$30"; MinVersion: 4.1,5.0; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\ControlPanel\NameSpace\{{3050F47B-48C1-4E66-B372-CDE96154A786}"; ValueType: String; ValueData: "ShellToys XP"; MinVersion: 4.1,5.0; 

[Run]
Filename: "{app}\icnexui.exe"; Parameters: "-move"; MinVersion: 4.1,5.0; 

[UninstallRun]
Filename: "{app}\icnexui.exe"; Parameters: "-uninst"; MinVersion: 4.1,5.0; 

[Icons]
Name: "{group}\ShellToys XP"; Filename: "{app}\CFiShell.exe"; MinVersion: 4.1,5.0; 
Name: "{group}\iBrowse"; Filename: "{app}\iBrowse.exe"; MinVersion: 4.1,5.0; 
Name: "{group}\Mask By Type"; Filename: "{app}\mbt.exe"; MinVersion: 4.1,5.0; 
Name: "{group}\Print Folder List"; Filename: "{app}\pfl.exe"; MinVersion: 4.1,5.0; 
Name: "{group}\Recent Files"; Filename: "{app}\strf.exe"; MinVersion: 4.1,5.0; 
Name: "{group}\ShellToys XP Help"; Filename: "{app}\ShellToys.chm"; MinVersion: 4.1,5.0; 
Name: "{group}\X-Delete"; Filename: "{app}\xdl.exe"; MinVersion: 4.1,5.0; 
Name: "{group}\X-Replace"; Filename: "{app}\xrp.exe"; MinVersion: 4.1,5.0; 
